]> git.saurik.com Git - apple/launchd.git/blame - launchd/Makefile.in
launchd-257.tar.gz
[apple/launchd.git] / launchd / Makefile.in
CommitLineData
5b0a4722 1# Makefile.in generated by automake 1.10 from Makefile.am.
e91b9f68
A
2# @configure_input@
3
5b0a4722
A
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
e91b9f68
A
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
e91b9f68 16VPATH = @srcdir@
e91b9f68
A
17pkgdatadir = $(datadir)/@PACKAGE@
18pkglibdir = $(libdir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
e91b9f68 20am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
e91b9f68
A
21install_sh_DATA = $(install_sh) -c -m 644
22install_sh_PROGRAM = $(install_sh) -c
23install_sh_SCRIPT = $(install_sh) -c
e91b9f68 24INSTALL_HEADER = $(INSTALL_DATA)
5b0a4722 25transform = $(program_transform_name)
e91b9f68
A
26NORMAL_INSTALL = :
27PRE_INSTALL = :
28POST_INSTALL = :
29NORMAL_UNINSTALL = :
30PRE_UNINSTALL = :
31POST_UNINSTALL = :
5b0a4722
A
32subdir = .
33DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
34 $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
35 ChangeLog INSTALL NEWS TODO compile depcomp install-sh missing \
36 mkinstalldirs
37ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
38am__aclocal_m4_deps = $(top_srcdir)/configure.ac
39am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
40 $(ACLOCAL_M4)
41am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
42 configure.lineno config.status.lineno
43mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
44CONFIG_HEADER = $(top_builddir)/src/config.h
45CONFIG_CLEAN_FILES =
46SOURCES =
47DIST_SOURCES =
48RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
49 html-recursive info-recursive install-data-recursive \
50 install-dvi-recursive install-exec-recursive \
51 install-html-recursive install-info-recursive \
52 install-pdf-recursive install-ps-recursive install-recursive \
53 installcheck-recursive installdirs-recursive pdf-recursive \
54 ps-recursive uninstall-recursive
55RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
56 distclean-recursive maintainer-clean-recursive
57ETAGS = etags
58CTAGS = ctags
59DIST_SUBDIRS = $(SUBDIRS)
60DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
61distdir = $(PACKAGE)-$(VERSION)
62top_distdir = $(distdir)
63am__remove_distdir = \
64 { test ! -d $(distdir) \
65 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
66 && rm -fr $(distdir); }; }
67DIST_ARCHIVES = $(distdir).tar.gz
68GZIP_ENV = --best
69distuninstallcheck_listfiles = find . -type f -print
70distcleancheck_listfiles = find . -type f -print
71ACLOCAL = @ACLOCAL@
72ALLOCA = @ALLOCA@
e91b9f68 73AMTAR = @AMTAR@
5b0a4722
A
74AUTOCONF = @AUTOCONF@
75AUTOHEADER = @AUTOHEADER@
76AUTOMAKE = @AUTOMAKE@
e91b9f68
A
77AWK = @AWK@
78CC = @CC@
5b0a4722
A
79CCDEPMODE = @CCDEPMODE@
80CFLAGS = @CFLAGS@
81CPP = @CPP@
82CPPFLAGS = @CPPFLAGS@
83CYGPATH_W = @CYGPATH_W@
84DEFS = @DEFS@
e91b9f68 85DEPDIR = @DEPDIR@
5b0a4722
A
86ECHO_C = @ECHO_C@
87ECHO_N = @ECHO_N@
88ECHO_T = @ECHO_T@
89EGREP = @EGREP@
90EXEEXT = @EXEEXT@
91GREP = @GREP@
92INSTALL = @INSTALL@
93INSTALL_DATA = @INSTALL_DATA@
94INSTALL_PROGRAM = @INSTALL_PROGRAM@
95INSTALL_SCRIPT = @INSTALL_SCRIPT@
e91b9f68 96INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
5b0a4722
A
97LDFLAGS = @LDFLAGS@
98LIBOBJS = @LIBOBJS@
99LIBS = @LIBS@
100LTLIBOBJS = @LTLIBOBJS@
101MAKEINFO = @MAKEINFO@
102MKDIR_P = @MKDIR_P@
103OBJEXT = @OBJEXT@
e91b9f68 104PACKAGE = @PACKAGE@
5b0a4722
A
105PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
106PACKAGE_NAME = @PACKAGE_NAME@
107PACKAGE_STRING = @PACKAGE_STRING@
108PACKAGE_TARNAME = @PACKAGE_TARNAME@
109PACKAGE_VERSION = @PACKAGE_VERSION@
110PATH_SEPARATOR = @PATH_SEPARATOR@
e91b9f68 111RANLIB = @RANLIB@
5b0a4722
A
112SET_MAKE = @SET_MAKE@
113SHELL = @SHELL@
e91b9f68
A
114STRIP = @STRIP@
115VERSION = @VERSION@
5b0a4722
A
116abs_builddir = @abs_builddir@
117abs_srcdir = @abs_srcdir@
118abs_top_builddir = @abs_top_builddir@
119abs_top_srcdir = @abs_top_srcdir@
120ac_ct_CC = @ac_ct_CC@
e91b9f68 121am__include = @am__include@
5b0a4722 122am__leading_dot = @am__leading_dot@
e91b9f68 123am__quote = @am__quote@
5b0a4722
A
124am__tar = @am__tar@
125am__untar = @am__untar@
126bindir = @bindir@
127build_alias = @build_alias@
128builddir = @builddir@
129datadir = @datadir@
130datarootdir = @datarootdir@
131docdir = @docdir@
132dvidir = @dvidir@
133exec_prefix = @exec_prefix@
134host_alias = @host_alias@
135htmldir = @htmldir@
136includedir = @includedir@
137infodir = @infodir@
e91b9f68 138install_sh = @install_sh@
5b0a4722
A
139libdir = @libdir@
140libexecdir = @libexecdir@
141localedir = @localedir@
142localstatedir = @localstatedir@
143mandir = @mandir@
144mkdir_p = @mkdir_p@
145oldincludedir = @oldincludedir@
146pdfdir = @pdfdir@
147prefix = @prefix@
148program_transform_name = @program_transform_name@
149psdir = @psdir@
150sbindir = @sbindir@
151sharedstatedir = @sharedstatedir@
152srcdir = @srcdir@
153sysconfdir = @sysconfdir@
154target_alias = @target_alias@
155top_builddir = @top_builddir@
156top_srcdir = @top_srcdir@
e91b9f68 157SUBDIRS = src
e91b9f68
A
158all: all-recursive
159
160.SUFFIXES:
5b0a4722
A
161am--refresh:
162 @:
163$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
164 @for dep in $?; do \
165 case '$(am__configure_deps)' in \
166 *$$dep*) \
167 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
168 cd $(srcdir) && $(AUTOMAKE) --gnu \
169 && exit 0; \
170 exit 1;; \
171 esac; \
172 done; \
173 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
e91b9f68
A
174 cd $(top_srcdir) && \
175 $(AUTOMAKE) --gnu Makefile
5b0a4722
A
176.PRECIOUS: Makefile
177Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
178 @case '$?' in \
179 *config.status*) \
180 echo ' $(SHELL) ./config.status'; \
181 $(SHELL) ./config.status;; \
182 *) \
183 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
184 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
185 esac;
186
187$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
e91b9f68 188 $(SHELL) ./config.status --recheck
e91b9f68 189
5b0a4722
A
190$(top_srcdir)/configure: $(am__configure_deps)
191 cd $(srcdir) && $(AUTOCONF)
192$(ACLOCAL_M4): $(am__aclocal_m4_deps)
e91b9f68 193 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
e91b9f68
A
194
195# This directory's subdirectories are mostly independent; you can cd
196# into them and run `make' without going through this Makefile.
197# To change the values of `make' variables: instead of editing Makefiles,
198# (1) if the variable is set in `config.status', edit `config.status'
199# (which will cause the Makefiles to be regenerated when you run `make');
200# (2) otherwise, pass the desired values on the `make' command line.
201$(RECURSIVE_TARGETS):
5b0a4722
A
202 @failcom='exit 1'; \
203 for f in x $$MAKEFLAGS; do \
204 case $$f in \
205 *=* | --[!k]*);; \
206 *k*) failcom='fail=yes';; \
207 esac; \
208 done; \
e91b9f68
A
209 dot_seen=no; \
210 target=`echo $@ | sed s/-recursive//`; \
211 list='$(SUBDIRS)'; for subdir in $$list; do \
212 echo "Making $$target in $$subdir"; \
213 if test "$$subdir" = "."; then \
214 dot_seen=yes; \
215 local_target="$$target-am"; \
216 else \
217 local_target="$$target"; \
218 fi; \
219 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
5b0a4722 220 || eval $$failcom; \
e91b9f68
A
221 done; \
222 if test "$$dot_seen" = "no"; then \
223 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
224 fi; test -z "$$fail"
225
5b0a4722
A
226$(RECURSIVE_CLEAN_TARGETS):
227 @failcom='exit 1'; \
228 for f in x $$MAKEFLAGS; do \
229 case $$f in \
230 *=* | --[!k]*);; \
231 *k*) failcom='fail=yes';; \
232 esac; \
233 done; \
e91b9f68
A
234 dot_seen=no; \
235 case "$@" in \
236 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
237 *) list='$(SUBDIRS)' ;; \
238 esac; \
239 rev=''; for subdir in $$list; do \
240 if test "$$subdir" = "."; then :; else \
241 rev="$$subdir $$rev"; \
242 fi; \
243 done; \
244 rev="$$rev ."; \
245 target=`echo $@ | sed s/-recursive//`; \
246 for subdir in $$rev; do \
247 echo "Making $$target in $$subdir"; \
248 if test "$$subdir" = "."; then \
249 local_target="$$target-am"; \
250 else \
251 local_target="$$target"; \
252 fi; \
253 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
5b0a4722 254 || eval $$failcom; \
e91b9f68
A
255 done && test -z "$$fail"
256tags-recursive:
257 list='$(SUBDIRS)'; for subdir in $$list; do \
258 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
259 done
5b0a4722
A
260ctags-recursive:
261 list='$(SUBDIRS)'; for subdir in $$list; do \
262 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
263 done
e91b9f68
A
264
265ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
266 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
267 unique=`for i in $$list; do \
268 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269 done | \
270 $(AWK) ' { files[$$0] = 1; } \
271 END { for (i in files) print i; }'`; \
272 mkid -fID $$unique
5b0a4722 273tags: TAGS
e91b9f68
A
274
275TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
276 $(TAGS_FILES) $(LISP)
277 tags=; \
278 here=`pwd`; \
5b0a4722
A
279 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
280 include_option=--etags-include; \
281 empty_fix=.; \
282 else \
283 include_option=--include; \
284 empty_fix=; \
285 fi; \
e91b9f68
A
286 list='$(SUBDIRS)'; for subdir in $$list; do \
287 if test "$$subdir" = .; then :; else \
5b0a4722
A
288 test ! -f $$subdir/TAGS || \
289 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
e91b9f68
A
290 fi; \
291 done; \
292 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
293 unique=`for i in $$list; do \
294 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
295 done | \
296 $(AWK) ' { files[$$0] = 1; } \
297 END { for (i in files) print i; }'`; \
5b0a4722
A
298 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
299 test -n "$$unique" || unique=$$empty_fix; \
300 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
301 $$tags $$unique; \
302 fi
303ctags: CTAGS
304CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
305 $(TAGS_FILES) $(LISP)
306 tags=; \
307 here=`pwd`; \
308 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
309 unique=`for i in $$list; do \
310 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
311 done | \
312 $(AWK) ' { files[$$0] = 1; } \
313 END { for (i in files) print i; }'`; \
314 test -z "$(CTAGS_ARGS)$$tags$$unique" \
315 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
e91b9f68
A
316 $$tags $$unique
317
318GTAGS:
319 here=`$(am__cd) $(top_builddir) && pwd` \
320 && cd $(top_srcdir) \
321 && gtags -i $(GTAGS_ARGS) $$here
322
323distclean-tags:
5b0a4722 324 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
e91b9f68
A
325
326distdir: $(DISTFILES)
327 $(am__remove_distdir)
5b0a4722
A
328 test -d $(distdir) || mkdir $(distdir)
329 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
330 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
331 list='$(DISTFILES)'; \
332 dist_files=`for file in $$list; do echo $$file; done | \
333 sed -e "s|^$$srcdirstrip/||;t" \
334 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
335 case $$dist_files in \
336 */*) $(MKDIR_P) `echo "$$dist_files" | \
337 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
338 sort -u` ;; \
339 esac; \
340 for file in $$dist_files; do \
e91b9f68 341 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
e91b9f68 342 if test -d $$d/$$file; then \
5b0a4722 343 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
e91b9f68
A
344 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
345 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
346 fi; \
347 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
348 else \
349 test -f $(distdir)/$$file \
350 || cp -p $$d/$$file $(distdir)/$$file \
351 || exit 1; \
352 fi; \
353 done
5b0a4722 354 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
e91b9f68 355 if test "$$subdir" = .; then :; else \
5b0a4722
A
356 test -d "$(distdir)/$$subdir" \
357 || $(MKDIR_P) "$(distdir)/$$subdir" \
e91b9f68 358 || exit 1; \
5b0a4722
A
359 distdir=`$(am__cd) $(distdir) && pwd`; \
360 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
e91b9f68
A
361 (cd $$subdir && \
362 $(MAKE) $(AM_MAKEFLAGS) \
5b0a4722
A
363 top_distdir="$$top_distdir" \
364 distdir="$$distdir/$$subdir" \
365 am__remove_distdir=: \
366 am__skip_length_check=: \
e91b9f68
A
367 distdir) \
368 || exit 1; \
369 fi; \
370 done
371 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
372 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
373 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
5b0a4722 374 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
e91b9f68
A
375 || chmod -R a+r $(distdir)
376dist-gzip: distdir
5b0a4722
A
377 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
378 $(am__remove_distdir)
379
380dist-bzip2: distdir
381 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
382 $(am__remove_distdir)
383
384dist-tarZ: distdir
385 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
386 $(am__remove_distdir)
387
388dist-shar: distdir
389 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
390 $(am__remove_distdir)
391
392dist-zip: distdir
393 -rm -f $(distdir).zip
394 zip -rq $(distdir).zip $(distdir)
e91b9f68
A
395 $(am__remove_distdir)
396
397dist dist-all: distdir
5b0a4722 398 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
e91b9f68
A
399 $(am__remove_distdir)
400
401# This target untars the dist file and tries a VPATH configuration. Then
402# it guarantees that the distribution is self-contained by making another
403# tarfile.
404distcheck: dist
5b0a4722
A
405 case '$(DIST_ARCHIVES)' in \
406 *.tar.gz*) \
407 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
408 *.tar.bz2*) \
409 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
410 *.tar.Z*) \
411 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
412 *.shar.gz*) \
413 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
414 *.zip*) \
415 unzip $(distdir).zip ;;\
416 esac
e91b9f68 417 chmod -R a-w $(distdir); chmod a+w $(distdir)
5b0a4722
A
418 mkdir $(distdir)/_build
419 mkdir $(distdir)/_inst
e91b9f68 420 chmod a-w $(distdir)
5b0a4722
A
421 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
422 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
423 && cd $(distdir)/_build \
424 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
e91b9f68
A
425 $(DISTCHECK_CONFIGURE_FLAGS) \
426 && $(MAKE) $(AM_MAKEFLAGS) \
427 && $(MAKE) $(AM_MAKEFLAGS) dvi \
428 && $(MAKE) $(AM_MAKEFLAGS) check \
429 && $(MAKE) $(AM_MAKEFLAGS) install \
430 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
431 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
5b0a4722
A
432 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
433 distuninstallcheck \
434 && chmod -R a-w "$$dc_install_base" \
435 && ({ \
436 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
437 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
438 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
439 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
440 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
441 } || { rm -rf "$$dc_destdir"; exit 1; }) \
442 && rm -rf "$$dc_destdir" \
443 && $(MAKE) $(AM_MAKEFLAGS) dist \
444 && rm -rf $(DIST_ARCHIVES) \
e91b9f68
A
445 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
446 $(am__remove_distdir)
5b0a4722
A
447 @(echo "$(distdir) archives ready for distribution: "; \
448 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
449 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
450distuninstallcheck:
451 @cd $(distuninstallcheck_dir) \
452 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
453 || { echo "ERROR: files left after uninstall:" ; \
454 if test -n "$(DESTDIR)"; then \
455 echo " (check DESTDIR support)"; \
456 fi ; \
457 $(distuninstallcheck_listfiles) ; \
458 exit 1; } >&2
e91b9f68 459distcleancheck: distclean
5b0a4722 460 @if test '$(srcdir)' = . ; then \
e91b9f68
A
461 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
462 exit 1 ; \
463 fi
5b0a4722
A
464 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
465 || { echo "ERROR: files left in build directory after distclean:" ; \
e91b9f68
A
466 $(distcleancheck_listfiles) ; \
467 exit 1; } >&2
468check-am: all-am
469check: check-recursive
470all-am: Makefile
471installdirs: installdirs-recursive
472installdirs-am:
e91b9f68
A
473install: install-recursive
474install-exec: install-exec-recursive
475install-data: install-data-recursive
476uninstall: uninstall-recursive
477
478install-am: all-am
479 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
480
481installcheck: installcheck-recursive
482install-strip:
483 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
5b0a4722 484 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
e91b9f68
A
485 `test -z '$(STRIP)' || \
486 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
487mostlyclean-generic:
488
489clean-generic:
490
491distclean-generic:
5b0a4722 492 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
e91b9f68
A
493
494maintainer-clean-generic:
495 @echo "This command is intended for maintainers to use"
496 @echo "it deletes files that may require special tools to rebuild."
497clean: clean-recursive
498
499clean-am: clean-generic mostlyclean-am
500
501distclean: distclean-recursive
502 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
5b0a4722 503 -rm -f Makefile
e91b9f68
A
504distclean-am: clean-am distclean-generic distclean-tags
505
506dvi: dvi-recursive
507
508dvi-am:
509
5b0a4722
A
510html: html-recursive
511
e91b9f68
A
512info: info-recursive
513
514info-am:
515
516install-data-am:
517
5b0a4722
A
518install-dvi: install-dvi-recursive
519
e91b9f68
A
520install-exec-am:
521
5b0a4722
A
522install-html: install-html-recursive
523
e91b9f68
A
524install-info: install-info-recursive
525
526install-man:
527
5b0a4722
A
528install-pdf: install-pdf-recursive
529
530install-ps: install-ps-recursive
531
e91b9f68
A
532installcheck-am:
533
534maintainer-clean: maintainer-clean-recursive
535 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
5b0a4722
A
536 -rm -rf $(top_srcdir)/autom4te.cache
537 -rm -f Makefile
e91b9f68
A
538maintainer-clean-am: distclean-am maintainer-clean-generic
539
540mostlyclean: mostlyclean-recursive
541
542mostlyclean-am: mostlyclean-generic
543
5b0a4722
A
544pdf: pdf-recursive
545
546pdf-am:
547
548ps: ps-recursive
549
550ps-am:
551
552uninstall-am:
e91b9f68 553
5b0a4722
A
554.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
555 install-strip
e91b9f68 556
5b0a4722
A
557.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
558 all all-am am--refresh check check-am clean clean-generic \
559 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
560 dist-shar dist-tarZ dist-zip distcheck distclean \
561 distclean-generic distclean-tags distcleancheck distdir \
562 distuninstallcheck dvi dvi-am html html-am info info-am \
563 install install-am install-data install-data-am install-dvi \
564 install-dvi-am install-exec install-exec-am install-html \
565 install-html-am install-info install-info-am install-man \
566 install-pdf install-pdf-am install-ps install-ps-am \
e91b9f68 567 install-strip installcheck installcheck-am installdirs \
5b0a4722
A
568 installdirs-am maintainer-clean maintainer-clean-generic \
569 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
570 tags-recursive uninstall uninstall-am
e91b9f68
A
571
572# Tell versions [3.59,3.63) of GNU make to not export all variables.
573# Otherwise a system limit (for SysV at least) may be exceeded.
574.NOEXPORT: